message("${Y}==== 进入find_qt.cmake ====${E}")

set(USE_QT OFF)

if (DEFINED PATH_QT AND NOT ${PATH_QT} STREQUAL "")
    if (EXISTS ${PATH_QT})
        list(APPEND CMAKE_PREFIX_PATH ${PATH_QT})
        find_package(Qt6 COMPONENTS
                Core
                Gui
                Widgets
                REQUIRED
        )
        qt_standard_project_setup()
        message("成功配置QT,将启用QT")
    else ()
        message("QT目录配置错误,将不启用QT")
    endif ()
else ()
    message("未配置QT目录,将不启用QT")
endif ()